Skip to content
Back to top
View this page

# CLI

## chango

CLI for chango - CHANgelog GOvernor for Your Project

    chango [OPTIONS] COMMAND [ARGS]...

Options

--version

  Show the version and exit.

  Default:

    `False`

--install-completion

  Install completion for the current shell.

--show-completion

  Show completion for the current shell, to copy it or customize the installation.

Arguments

### config

Show or verify the configuration of the chango CLI.

    chango config [OPTIONS] COMMAND [ARGS]...

Options

--path <path>

  The path to the `pyproject.toml` file. Input behavior as for `chango.config.ChanGoConfig.load`.

Arguments

#### show

Show the configuration.

    chango config show [OPTIONS]

Options

Arguments

#### validate

Validate the configuration.

    chango config validate [OPTIONS]

Options

Arguments

### edit

Edit an existing change note in the default editor.

    chango edit [OPTIONS] UID

Options

Arguments

UID

  Required argument

  The unique identifier of the change note to edit.

### new

Create a new change note.

    chango new [OPTIONS]

Options

-s, --slug <slug>

  Required The slug of the change note.

-e, --edit, -ne, --no-edit

  Whether to open the change note in the default editor.

  Default:

    `True`

Arguments

### release

Release the unreleased changes to a new version.

    chango release [OPTIONS]

Options

--uid <uid>

  Required The unique identifier of the version release.

--date <date>

  The date of the version release. Defaults to today.

  Default:

    `'datetime.date.today()'`

Arguments

### report

Generate reports for one or multiple versions.

    chango report [OPTIONS] COMMAND [ARGS]...

Options

Arguments

#### history

Print a report of the version history.

    chango report history [OPTIONS]

Options

-m, --markup <markup>

  The markup language to use for the report.

  Default:

    `<MarkupLanguage.MARKDOWN: 'markdown'>`

-o, --output <output>

  The file to write to. If not specified, the output is printed to the console.

Arguments

#### version

Print a report of the change notes for a specific version.

    chango report version [OPTIONS]

Options

--uid <uid>

  Required The unique identifier of the version to report on. Leave empty for unreleased changes.

-m, --markup <markup>

  The markup language to use for the report.

  Default:

    `<MarkupLanguage.MARKDOWN: 'markdown'>`

-o, --output <output>

  The file to write to. If not specified, the output is printed to the console.

Arguments